<?php

namespace App\Service\Utils;

class SymflipyOgLiveFilenameService
{
    public function __invoke(string $filename): string
    {
        if (preg_match('/^(.+)-r\d+\.[a-f0-9]+_(\d{8})(?:\.iso)?$/', $filename, $matches)) {
            return "{$matches[1]}-{$matches[2]}";
        }

        return $filename;
    }
}